#!/bin/sh

name="ocaml"
title="OCaml"
package="ocaml"
version="3.06"
build="2"
noarch="n"
build_info="Standard build."

info="The latest implementation of the Caml dialect of ML."
desc="Objective Caml is the latest implementation of the Caml
dialect of ML. It has full support for objects and
classes combined with ML-style type reconstruction, a
powerful module calculus in the style of Standard ML
(but retaining separate compilation), a high-performance
native code compiler (in addition to a Caml Light-style
bytecode compiler), and labeled arguments with possible
default value."
category="development/language"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="Changes,INSTALL,LICENSE,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://caml.inria.fr/distrib/$name-$version/$name-$version.tar.gz

configure_option "-prefix /usr"
configure_option "-host $architecture-pc-linux-gnu"
configure_option -with-pthread
configure_option -no-tk

build_host_off

install_option PREFIX=$pkg_main/usr

parent_package="$package"
write_info main

cd $src1

do_configure
do_make world
do_make opt
do_install

sed "s}$pkg_main}}" $pkg_main/usr/lib/ocaml/ld.conf > $tmp/ld.conf.new
cat $tmp/ld.conf.new > $pkg_main/usr/lib/ocaml/ld.conf

make_docs

make_package main

clean_up

# $Log: ocaml.builder,v $
# Revision 1.4  2003/04/02 16:40:58  swiergot
# - Build 2.
#
# Revision 1.3  2003/04/02 16:31:10  swiergot
# - Fix ld.conf file after installing.
#
# Revision 1.2  2003/04/02 16:07:50  swiergot
# - Added missing docs.
# - Build 1.
#
# Revision 1.1  2003/04/02 15:53:21  swiergot
# - Initial release.
# - Version 3.06.
#
